Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.seq
Class FastaIterator

    java.lang.Object
      calhoun.seq.FastaIterator

All Implemented Interfaces:
  java.util.Iterator<FastaSequence>

    public class FastaIterator

extends java.lang.Object
implements java.util.Iterator<FastaSequence>

This class implements iterator and allows a fasta file to be iterated through without having to read anything. Can also take a second file containing quality. You can now use new FastaReader().iterator() instead.

Nested Class Summary
`static class` | `FastaIterator.ReaderSequence` A minimal sequence class that slurps its sequence in immediately.

Field Summary
`static java.lang.String` | `HEADER_START`

Constructor Summary
`FastaIterator(java.io.File file)`
`FastaIterator(java.io.File sequence, java.io.File quality)` Creates an iterator over a sequence file and also possibly a quality file
`FastaIterator(java.lang.String file)`
`FastaIterator(java.lang.String sequence, java.lang.String quality)`

Method Summary
`boolean` | `hasNext()`
`FastaSequence` | `next()`
`void` | `remove()` Throws an UnsupportedOperationException.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_START

    public static final java.lang.String HEADER_START

See Also:
  Constant Field Values

Constructor Detail

### FastaIterator

    public FastaIterator(java.lang.String file)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

### FastaIterator

    public FastaIterator(java.io.File file)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

### FastaIterator

    public FastaIterator(java.lang.String sequence,
                         java.lang.String quality)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

### FastaIterator

    public FastaIterator(java.io.File sequence,
                         java.io.File quality)
                  throws java.io.IOException

  Creates an iterator over a sequence file and also possibly a quality file

  Throws:
    `java.io.IOException`

Method Detail

### remove

    public void remove()

  Throws an UnsupportedOperationException.

  Specified by:
    `remove` in interface `java.util.Iterator<FastaSequence>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<FastaSequence>`

### next

    public FastaSequence next()

  Specified by:
    `next` in interface `java.util.Iterator<FastaSequence>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD